- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# lxc – Run tasks in lxc containers via lxc python library

- Synopsis

- Parameters

- Status

## Synopsis

- Run commands or put/fetch files to an existing lxc container using lxc python library

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
executable - | Default: "/bin/sh" | var: ansible_executable var: ansible_lxc_executable | Shell executable
remote_addr - | Default: "inventory_hostname" | var: ansible_host var: ansible_lxc_host | Container identifier

## Status

- This connection is not guaranteed to have a backwards compatible interface. [preview]

- This connection is maintained by the Ansible Community. [community]

### Authors

- Joerg Thalheim <joerg@higgsboson.tk>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.